<xml> </xml>

Better ListView Class Reference |

# DictionaryBase(TKey,TValue).TryGetValue Method

Gets the value associated with the specified key.

public bool DictionaryBase(
TKey key,
out TValue value
);

#### Parameters

key
  The key whose value to get.
value
  When this method returns, the value associated with the specified key, if the key is found; otherwise, the default value for the type of the value parameter. This parameter is passed uninitialized.

#### Return Value

true if the object that implements IDictionary`2 contains an element with the specified key; otherwise, false.

#### Implements

IDictionary<TKey, TValue>.TryGetValue

#### Exceptions

Exception Type | Condition
--- | ---
ArgumentNullException | key is null.

#### See Also

DictionaryBase<TKey, TValue> Class | ComponentOwl.BetterListView Namespace